#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-Canary-Stability
Version		:	2013
Release		:	17.2.0.rel%{?dist}
Summary		:	perl interface to libev, a high performance full-featured event loop
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Mojo::Base

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

#-----------------------------------------------------------------------------
%description
This module provides an interface to libev
(http://software.schmorp.de/pkg/libev.html). While the
documentation below is comprehensive, one might also consult
the documentation of libev itself
(http://pod.tst.eu/http://cvs.schmorp.de/libev/ev.pod
or perldoc EV::libev) for more subtle details on watcher
semantics or some discussion on the available backends,
or how to force a specific backend with LIBEV_FLAGS, or
just about in any case because it has much more detailed
information.

This module is very fast and scalable. It is actually so
fast that you can use it through the AnyEvent module,
stay portable to other event loops (if you don't rely
on any watcher types not available through it) and still
be faster than with any other event loop currently
supported in Perl.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/Canary/Stability.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
